summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-board/gnushogi
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-board/gnushogi')
-rw-r--r--games-board/gnushogi/Manifest1
-rw-r--r--games-board/gnushogi/gnushogi-1.4.1.ebuild51
-rw-r--r--games-board/gnushogi/metadata.xml5
3 files changed, 57 insertions, 0 deletions
diff --git a/games-board/gnushogi/Manifest b/games-board/gnushogi/Manifest
new file mode 100644
index 00000000000..3d96f48d44e
--- /dev/null
+++ b/games-board/gnushogi/Manifest
@@ -0,0 +1 @@
+DIST gnushogi-1.4.1.tar.gz 542301 SHA256 1af89a6a0e80632f860a95899c363f7b7c9b8a6a1342a0676a96a606d668a0ea SHA512 b997f309bfba85553465ceb262094aa0a9a53dc7ad970f77c0eb0c1558ba12f9dd15b42a6abfc85f5ac08bbfecc7816a6e3e4fb0efe2caabb043fb343b1ebecd WHIRLPOOL aee8e4eaa9fb755483f25ce8098310f20b3c8cbda37b496883b929d937c0fa6df60720a231f865adb3242d7bd29532714d7d16e7044256ae3094bf4b4829cbec
diff --git a/games-board/gnushogi/gnushogi-1.4.1.ebuild b/games-board/gnushogi/gnushogi-1.4.1.ebuild
new file mode 100644
index 00000000000..656dc9dbf3d
--- /dev/null
+++ b/games-board/gnushogi/gnushogi-1.4.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils games
+
+DESCRIPTION="Japanese version of chess (commandline + X-Version)"
+HOMEPAGE="http://www.gnu.org/software/gnushogi/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE="X"
+
+RDEPEND="sys-libs/ncurses
+ X? ( x11-libs/libXaw )"
+DEPEND="${RDEPEND}
+ >=sys-devel/bison-1.34
+ >=sys-devel/flex-2.5"
+
+src_prepare() {
+ sed -i \
+ -e '/^bbk:/s/$/ gnushogi_compile pat2inc sizetest/' \
+ Makefile.in || die
+ sed -i \
+ -e "/^LIBDIR/s:=.*:=\"$(games_get_libdir)\":" \
+ gnushogi/Makefile.in || die
+}
+
+src_configure() {
+ egamesconf \
+ $(use_with X x) \
+ $(use_enable X xshogi)
+}
+
+src_install() {
+ dogamesbin gnushogi/gnushogi
+ doman doc/gnushogi.6
+ doinfo doc/gnushogi.info
+ if use X ; then
+ dogamesbin xshogi/xshogi
+ doman doc/xshogi.6
+ make_desktop_entry xshogi XShogi
+ fi
+ dogameslib gnushogi/gnushogi.bbk
+ dodoc README NEWS CONTRIB
+ dohtml doc/gnushogi/*.html
+ prepgamesdirs
+}
diff --git a/games-board/gnushogi/metadata.xml b/games-board/gnushogi/metadata.xml
new file mode 100644
index 00000000000..d3c2cc926f0
--- /dev/null
+++ b/games-board/gnushogi/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+</pkgmetadata>